#!/bin/sh

set -e

case "$1" in
    configure)
	# Reload the Apache profile
	APP_PROFILE="/etc/apparmor.d/usr.sbin.apache2"
	if [ -f "$APP_PROFILE" ] && aa-status --enabled 2>/dev/null; then
	    apparmor_parser -rTW "$APP_PROFILE" || true
	fi
	;;
esac

if [ -h /usr/share/tinymce/www/plugins/inlinepopups/editor_plugin.js ] &&
   [ ! -e /usr/share/tinymce/www/plugins/inlinepopups/editor_plugin.js ]; then
    echo "WARNING: You have been affected by http://bugs.debian.org/639733" >&2
    echo "you should reinstall tinymce." >&2
fi
if [ -h /usr/share/javascript/cropper/marqueeVert.gif ] &&
   [ ! -e /usr/share/javascript/cropper/marqueeVert.gif ]; then
    echo "WARNING: You have been affected by http://bugs.debian.org/639733" >&2
    echo "you should reinstall libjs-cropper." >&2
fi

if [ "$1" = "triggered" ] || [ "$1" = "configure" ]; then
    # Update /var/lib/wordpress/wp-content
    wp-setup --sync-wp-content
fi

#DEBHELPER#

exit 0
